bitel.billing.server.contract.object.bean

## Class ParamValueManager

- java.lang.Object
- - bitel.billing.server.contract.object.bean.ParamValueManager

-     public class ParamValueManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParamValueManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearParameterHistory(int objectId, int paramId, int paramTypeId)` Очищает историю параметра объекта
    `void` | `copyObjectParams(int fromObject, int toObject)` Копирует параметры объекта в другой объект
    `void` | `deleteActivityParamValues(int objectId)` Удаляет все значения параметров для данного объекта
    `AddressParamValue` | `getAddressParamValue(int objectId, int paramId)` Возвращает значение параметра объекта типа "Адрес"
    `DateParamValue` | `getDateParamValue(int objectId, int paramId)` Возвращает значение параметра объекта типа "Дата"
    `FlagParamValue` | `getFlagParamValue(int objectId, int paramId)` Возвращает значение параметра объекта типа флаг
    `ListParamValue` | `getListParamValue(int objectId, int paramId)` Возвращает значение параметра объекта типа "Список"
    `java.util.Map<java.lang.Integer,ParamValue>` | `getObjectParamMap(int objectId)` Возвращает карту параметров для данного объекта договора
    `java.util.List<ParameterHistoryEntry>` | `getParameterHistory(int objectId, int paramId, int parameterTypeId)` Получает историю параметра
    `TextParamValue` | `getTextParamValue(int objectId, int paramId)` Возвращает значение текстового параметра объекта
    `static void` | `resetParametersHistoryMap()` Сбрасывает кеш с флагами о необходимости ввести историю параметров
    `void` | `searchCustomAddressParams(SearchResult<java.lang.String[]> searchResult, int paramId)`
    `void` | `updateParamValue(ParamValue value, int userId)` Обновление параметра объекта договора.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParamValueManager

          public ParamValueManager(java.sql.Connection con)

  - ### Method Detail

    - #### deleteActivityParamValues

          public void deleteActivityParamValues(int objectId)

      Удаляет все значения параметров для данного объекта
      Parameters:
        `objectId` - код объекта

    - #### copyObjectParams

          public void copyObjectParams(int fromObject,
                                       int toObject)

      Копирует параметры объекта в другой объект
      Parameters:
        `fromObject` - объект-источник
        `toObject` - объект-приемник

    - #### getAddressParamValue

          public AddressParamValue getAddressParamValue(int objectId,
                                                        int paramId)

      Возвращает значение параметра объекта типа "Адрес"
      Parameters:
        `objectId` - код объекта
        `paramId` - код параметра
      Returns:

    - #### searchCustomAddressParams

          public void searchCustomAddressParams(SearchResult<java.lang.String[]> searchResult,
                                                int paramId)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getDateParamValue

          public DateParamValue getDateParamValue(int objectId,
                                                  int paramId)

      Возвращает значение параметра объекта типа "Дата"
      Parameters:
        `objectId` - код объекта
        `paramId` - код параметра
      Returns:

    - #### getListParamValue

          public ListParamValue getListParamValue(int objectId,
                                                  int paramId)

      Возвращает значение параметра объекта типа "Список"
      Parameters:
        `objectId` - код объекта
        `paramId` - код параметра
      Returns:

    - #### getTextParamValue

          public TextParamValue getTextParamValue(int objectId,
                                                  int paramId)

      Возвращает значение текстового параметра объекта
      Parameters:
        `objectId` - код объекта
        `paramId` - код параметра
      Returns:

    - #### getFlagParamValue

          public FlagParamValue getFlagParamValue(int objectId,
                                                  int paramId)

      Возвращает значение параметра объекта типа флаг
      Parameters:
        `objectId` - код объекта
        `paramId` - код параметра
      Returns:

    - #### updateParamValue

          public void updateParamValue(ParamValue value,
                                       int userId)
                                throws ru.bitel.bgbilling.common.BGMessageException

      Обновление параметра объекта договора.
      Parameters:
        `value` - параметр
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### getObjectParamMap

          public java.util.Map<java.lang.Integer,ParamValue> getObjectParamMap(int objectId)

      Возвращает карту параметров для данного объекта договора
      Parameters:
        `objectId` - код объекта
      Returns:

    - #### resetParametersHistoryMap

          public static void resetParametersHistoryMap()

      Сбрасывает кеш с флагами о необходимости ввести историю параметров

    - #### getParameterHistory

          public java.util.List<ParameterHistoryEntry> getParameterHistory(int objectId,
                                                                           int paramId,
                                                                           int parameterTypeId)

      Получает историю параметра
      Parameters:
        `objectId` - код объекта
        `paramId` - код параметра
        `parameterTypeId` - код типа параметра
      Returns:
        список записей истории

    - #### clearParameterHistory

          public void clearParameterHistory(int objectId,
                                            int paramId,
                                            int paramTypeId)
                                     throws java.sql.SQLException

      Очищает историю параметра объекта
      Parameters:
        `objectId` - код объекта
        `paramId` - код параметра
        `paramTypeId` - тип параметра
      Throws:
        `java.sql.SQLException`